Subject: Japanese collating order and input method

From: Keld J|rn Simonsen <[email-masked]>
Date: Sun, 20 Sep 92 15:49:51 +0200

Here is some information I got from the XoJIG group.
It is forwarded for your information as it is very related
to Japanese POSIX profile.

Keld

> Dear Gary Miller and Ralph Barker (and XoJIG people),
> 
> Wearing a hat of the JSA/INSTAC EDPS-WG3's secretary, I'm sending this letter
> to your group(s).  As you read, this is a Request For Proposal from the
> Japanese Standards Association regarding Japanese Collation and Kana-Kanji
> Conversion related standards.
> 
> Please look over the attached materials and let me know your group's interest
> and feedback on these subjects in a timely fashion.
> 
> Thank you in advance for your cooperation.
> 
> Best Regards,
> 
> 
> Yasushi Nakahara         
> TOSHIBA Corp.            Phone: +81 428-33-1346|1347   Fax: +81 428-32-0018
> 			 Email: [email-masked] | ..!tsbome!ynk |
> 				[email-masked] | [email-masked]
> 
> =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
> 
>   TO:    OSF I18N/L10N groups
>          UI I18N/L10N groups
>          X/Consortium I18N(/L10N) group
>          X/Open I18N(/L10N) group
>          UniForum I18N(/L10N) group
> 
>   FROM:  Japanese Standards Association (JSA)
>          Information Technology Research and Standardization Center (INSTAC)
>          4-1-24 Akasaka Minato-ku, Tokyo 107 Japan
>          Phone: +81 3-3583-8001, Fax: +81 3-3352-0844
> 
>          Electronical Document Processing System Researching Committee
>          Japanese Collation and Kana-Kanji Conversion Working Group
>          Chair: Kouji Shibano,  Secretaries: Yasushi Nakahara, Kei Furuta
> 
>   DATE:  1992-7-31
> 
>   RE:    Request for Proposal on Japanese Collation and Kana-kanji Conversion
> 
> 
>   Attached please find a REQUEST FOR PROPOSAL (RFP) from the Japanese
>   Standards Association (JSA) entrusted by the Japanese Industrial
>   Standards Commission (JISC) regarding Japanese Collation and Kana-Kanji
>   Conversion related standard specifications.
> 
>   This RFP is being delivered not only to JSA members but also to the
>   wider Japanese industry with "open" policy.  In addition, in light of
>   its importance and impact in the industry (possibly world wide), the
>   Working Group who are in charge of the development of working drafts on
>   Japanese Collation and Kana-Kanji Conversion related standard
>   specifications wish to circulate the RFP to appropriate organizations
>   who are identified as potential collaborators and/or reviewers in this
>   area.
> 
>   Particularly, in the area of POSIX and/or C language, the Working Group
>   identify your organization as one of the most possible candidates in
>   such cooperations.  We therefore would like to invite your organization
>   to this program by sending the RFP.
> 
>   We are looking forward to hearing good response from your organization.
> 
>   Thank you in advance.
> 
>   ____________________________________________________________________________
> 
> 
>                                           Japanese Standards Association (JSA)
>            Information Technology Research and Standardization Center (INSTAC)
> 
> 
>  Subject: Request for Proposal on Japanese Collation and Kana-Kanji Conversion
> 
>                                                            Date: July 31, 1992
>                                                            From: Shibano Kouji
>                                                                 EDPS-WG3 Chair
> 
> 
>   1.  Entrusted by the Agency of Industrial Science and Technology (AIST)
>   under the Ministry of International Trade and Industry (MITI) in Japan,
>   which is the Secretariat of the Japanese Industrial Standards Commission
>   (JISC), the Japanese Standards Association (JSA) Information Technology
>   Research and Standardization Center (INSTAC) has started a five year
>   project on standardization research of electronical document processing
>   system from 1991.
> 
>   Under the project, several working groups have been formed.  The WGs are
>   studying standardization issues of electronical document processing
>   system in conjunction with Japanese character/text processing.  The WGs
>   will develop appropriate working drafts for new Japanese Industry
>   Standards (JIS) in harmonizing with the corresponding International
>   Standards (if such International Standards are identified) and/or in a
>   Japanese specific way of standardization.
> 
>   In particular, Japanese Collation and Kana-Kanji Conversion Working
>   Group (EDPS-WG3) has started to work on the following topics in the 1992
>   time frame.
> 
>    (1)  development of working draft for Japanese Collation standard
> 
>    (2)  development of working draft for interchange format of Kana- Kanji
>         Conversion dictionary
> 
>    (3)  investigation of potential standards for Kana-Kanji Conversion
>         Application Program Interface (API) specifications
> 
>   Aiming to develop the best or better standards, the JSA/INSTAC and the
>   EDPS-WG3 have decided to publicly request for proposals of the above
>   subjects.  The outline of submission is described later.
> 
>   The proposals will be examined in the Working Group for inclusion in the
>   working draft and at the same time the result of the proposals will be
>   informed back to the submitters.
> 
> 
>   2.  When the working draft of Japanese Collation is completed (at
>   present, it is expected to be the end of this year 1992 through 1993), a
>   public review of the draft is also planned.  Comments from the public
>   review will be carefully studied and resolved in the Working Group, and
>   then the (probably modified) working draft will be put into the final
>   review and the ballot in the Working Group and its parent committee
>   (EDPS-RC) for submission to the JISC.
> 
> 
>   3.  The working draft of Japanese Collation covers specifications in the
>   following features and application areas:
> 
>      o Features:
> 
>           - Japanese character/string comparison
>           - Japanese sort
>           - Japanese index ordering
> 
>      o Applications:
> 
>           - Desktop Publishing
>           - CDROM Publishing
>           - Database System
>           - System Software
>           - (Application Software)
> 
>   From a viewpoint of International Standards, several International
>   Standards such as C Language (ISO/IEC 9899), POSIX (ISO/IEC 9945), and
>   SQL (ISO/IEC 9075), have now introduced a certain capability to handle
>   country/regional specific collation of each national character string.
>   Therefore, the Japanese Collation standardization also aims at
>   harmonization with such International Standards.
> 
>   The following are three different kinds of Japanese Collation to be
>   considered in the Working Group.
> 
>    (1)  Syllable based ordering (Goju-on Jun)
> 
>    (2)  Radical and strokes based ordering (Busyu-Kakusu Jun)
> 
>    (3)  Telephone directory ordering (Denwa-cho Jun)
> 
>   The development work group of SGML Forum Japan has drafted its proposal
>   on the syllable collation, based on which the Working Group is going to
>   deliberate the specifications.
> 
>   For those who wish to have the Japanese SGML Forum's proposal (written
>   in Japanese), the JSA/INSTAC can deliver the document.  Please contact
>   the JSA/INSTAC office.
> 
>   Regarding the radical and strokes collation, the Working Group is
>   looking at a possibility to define a compatible collation with the
>   International Standard such as ISO 10646 or CJK-JRG's Han unification
>   efforts.
> 
> 
>   4.  As to Kana-Kanji conversion, the two areas are being considered; one
>   is data interchange format of Kana-Kanji conversion dictionary, and
>   another is API of Kana-Kanji conversion.
> 
>   Data interchange format of Kana-Kanji conversion dictionary may be
>   divided into the following three application areas.
> 
>    (1)  interchange of user defined new (Kanji) words [from one Kana-Kanji
>         conversion dictionary to another]
> 
>    (2)  interchange of technical (Kanji) terminology dictionary for a
>         specific profession (such as a medical doctor, a scientist, a
>         literary people and etc.) [from one Kana-Kanji conversion to
>         another]
> 
>    (3)  interchange of regular words in the basic Kana-Kanji conversion
>         dictionary
> 
>   Standardized interchange format is expected to include:
> 
>      - file/record format
>      - a syllabic (pronunciation) field
>      - a (Kanji) presentation field
>      - a part of speech field [noun, verb, and etc.]
> 
>   Due to variety of implementation specific specification of a part of
>   speech field in the existing various Kana-Kanji conversion methods and
>   systems, a minimum requirement is to standardize a part of speech field
>   for a noun (a regular noun) and a verb-type noun (or a noun which can be
>   used as a typical Japanese irregular verb; noun (something) + 'suru' (do
>   or make), Sa-Hen Meishi in Japanese).  As to other parts of speech,
>   sufficient investigation and wider consensus among the various developers
>   of Kana-Kanji conversion products are premized on such standardization.
> 
>   Regarding API of Kana-Kanji conversion, in terms of portability and
>   interoperability of the Kana-Kanji conversion related application
>   programs, an appropriate set of APIs is investigated.  This
>   investigation will cover different aspects of standardized APIs for
>   Kana-Kanji conversion applications, such as a conceptual model, an
>   operation level, a function level, and so forth.
> 
>   Also, feasibility study of such standardized APIs in different execution
>   environments (in particular, OS environments) will be done in
>   determining the scope of standardized APIs for Kana-Kanji conversion
>   applications.
> 
>   Standardization of Kana-Kanji conversion API is not only for the
>   Japanese input methods in the Japanese application environments, but
>   also is closely related to multibyte character input methods (in other
>   Asian languages) and/or more generic native language input methods in
>   the internationalized application environments.  Therefore harmonization
>   of standardized APIs with such internationalized environments is taken
>   into account as well.
> 
> 
>                              Submission Outline
> 
> 
>  Submission due date: September 30, 1992 (in Japan Standard Time)
> 
>  Submission address:  Japanese Standards Association (JSA)/
>                       Information Technology Research and Standardization
>                       Center (INSTAC)
>                       4-1-24 Akasaka Minato-ku, Tokyo 107 Japan
> 
>                       Attn: Seiji Watanabe, office secretary
> 
>                       Phone: +81 3-3583-8001, Fax: +81 3-3352-0844
> 
>                       If you wish to submit the proposal by email,
>                       please contact:
> 
>                       Kouji Shibano [Chair of EDPS-WG3],
>                       Tokyo International University
>                       1-13-1 Matobakita, Kawagoe,
>                       Saitama 350, Japan
> 
>                       Phone: +81 492-32-1111, Fax: +81 492-32-1119
>                       Email: [email-masked]
>   ________________________________________________________________________
> 
> =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
> EOF
> 
> 

-- 
Ralph Barker		Voice:  +1 408-986-8840  FAX: +1 408-986-1645
Director of Technical Services, UniForum  (formerly /usr/group)
2901 Tasman Drive, Suite 201, Santa Clara CA  95054
email:   [email-masked]